Redeem invitation token
POST
/api/v1/invitation-tokens/redeem
const url = 'https://example.com/api/v1/invitation-tokens/redeem';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"account":{"accepted_legal":[{"kind":"terms","version":1}],"email":"hello@example.com","full_name":"example","password":"example"},"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/invitation-tokens/redeem \ --header 'Content-Type: application/json' \ --data '{ "account": { "accepted_legal": [ { "kind": "terms", "version": 1 } ], "email": "hello@example.com", "full_name": "example", "password": "example" }, "token": "example" }'Join an exercise with an invitation token, creating the account if asked.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InvitationTokenRedeemRequest
object
account
Any of:
RedeemAccountCreate
object
accepted_legal
Accepted Legal
Array<object>
LegalAcceptanceItemOne version of one document the user accepts (signup, or after a substantial change). Must be the version currently published.
object
kind
required
LegalDocumentKind
The legal documents a deployment’s operator publishes for its users (Platform), accepted together at signup.
string
version
required
Version
integer
email
required
Email
string format: email
full_name
required
Full Name
string
password
required
Password
string
null
token
required
Token
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
InvitationTokenRedeemResponse
object
organization_name
required
Organization Name
string
role
required
RoleEnum
TTX-scoped roles: PLANNER is a member of the exercise’s planning and control team (what they do on it – plan, control, facilitate – is in the row’s flags); EVALUATOR rates the exercise with the EEG and OBSERVER watches it, neither with access to the design; PLAYER plays it.
string
status
required
Status
string
ttx_id
required
Ttx Id
string format: uuid
ttx_name
required
Ttx Name
string
user
required
UserRead
object
email
required
Email
string
full_name
required
Full Name
string
id
required
Id
string format: uuid
Example
{ "role": "planner", "status": "pending"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}